#include <LiquidCrystal.h> //подключаем библиотеку работы с ЖКИ

// инициализация библиотеки дисплея. Аргументы - пины на которые подключен LCD
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

int butPin = 8;            // вход кнопок
int butPush = 0;            // код нажатой кнопки

void setup() {
  // говорим сколько строк и столбцов в нашем дисплее
  lcd.begin(16, 2);
  lcd.print("homedistiller.ru");   // печатаем строку
  delay(2000);  // ждем 2 секунды
  lcd.clear();  // очищаем дисплей
  lcd.print("Key calibrate");     // печатаем строку
}

void loop() {
  lcd.setCursor(0,1); // устанавливаем курсор во вторую строку
  lcd.print(analogRead(butPin)); //печатаем значение возвращаемое функцией analogRead
  // значение от 0 до 1023 пропорционально поданному напряжению
  lcd.print("   "); // строка пробелов нужна чтобы затереть символы от предыдущего замера если 
  // текущее значение имеет меньше знаков чем прошлое
  delay(100); // задержка в 0,1 секунды
}

